## gSprite-Engine  
#### Tiny 2D-animation sprite composer for interactive animation loops  

Place clickable animations on a background image.  

How to install:  
Get Processing 3 from http://processing.org/
Install the "Drop"-library. It is available in Processings internal library database.  
"Sketch" -> "Import　Library" ->　"Add Library" -> Search and install "Drop"  
  
How to use:  
To import an animation, drag and drop a folder from your file system to the gse-window.  
You can use the example_animation folder and just throw it in the water, I recommend.  
The folder must contain another folder called "idle". In this folder, the idle-animation that sould be looping by default must be present as .png or .gif image strip.  
Next to the "idle" folder there might an "action" folder be placed. In that folder, place an image strip with an animation that should be triggered if the idle animation is being clicked at.  
If gse doesn't find an action folder, it assumes the animation is non-interactive.  

Folder structure:  
```
           idle - animationframe0001.png, animationframe0001.png ...  
          /  
animation  
          \  
           action - actionanimationframe0001.png, actionanimationframe0001.png ...  
```

Once the folder has been imported the animation should instantly be visible on the map.  

Animation controls:  
To trigger the action animation, simply left-click the animation. The action animation will be started after the current loop of the idle animation has finished.  
To move the animation around, right-click and drag it.  
To scale an animation, right-click it and keep pushing while scrolling the mouse wheel.  
To delete an animation, right-click it and keep pushing while pressing Del.  
To lock an animation, so you can't move it anymore by accident, double click it. Double click again, to unlock it.  
Navigation controls:  
Middle mouse click to zoom in and out at fixed positions.  
Mouse wheel scroll to zoom dynamically.  
Left-click on the background to drag the map around.  

To save the setup as .gse file, press s. The program will automatically load the save file on startup. It is located in the sketches data folder. Back it up now and then ~.  
